%define version 3.0.1
%define release %mkrel 7
%define build_without_gnome 0
%{?_with_gnome: %{expand: %%global build_without_gnome 0}}
%{?_without_gnome: %{expand: %%global build_without_gnome 1}}

# used to indicate difference between new/old dictionary formats
%define dict_format_version 2.4.2

Summary:	International dictionary written for GNOME
Name:		stardict
Version:	%{version}
Release:	%{release}
License:	GPLv3+
Group:		Text tools
URL:		http://stardict.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:	defaultdict.cfg
Patch0:		%{name}-2.4.2-langcode.patch
Patch1:		stardict-3.0.0-desktop-file-fix.patch
Patch2:		stardict-3.0.1-fix-str-fmt.patch
Patch4:		stardict-3.0.1.gcc43.patch
Patch5:		stardict-3.0.1-10.gucharmap.patch
Patch6:		stardict-3.0.1-13.bz441209.patch
Patch7:		stardict-3.0.1.gcc44.patch
%if %build_without_gnome
%else
BuildRequires:	libgnomeui2-devel >= 2.2.0
%endif
BuildRequires:	imagemagick
BuildRequires:	scrollkeeper
BuildRequires:  intltool
BuildRequires:	libpcre-devel
BuildRequires:	desktop-file-utils
BuildRequires:	enchant-devel
BuildRequires:	gucharmap-devel
BuildRequires:	sigc++2.0-devel
#BuildRequires:	festival-devel
#BuildRequires:	speech_tools-devel
Requires:	stardict-dictionary = %{dict_format_version}
Conflicts:	stardict-dictionary < %{dict_format_version}
Conflicts:	stardict-dictionary > %{dict_format_version}
Requires(post): GConf2 >= 2.3.3
Requires(preun): GConf2 >= 2.3.3
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
StarDict is an international dictionary written for the GNOME environment.
It has evolved from Motif/Lesstif based Chinese dictionary, into a full
featured international dictionary written in GTK+. Here are some of its
features:

- Instantly popup word definition when word is selected on screen
- Wildcard search ( e.g. "wo?d*" )
- Fuzzy query
- Dock into notification area
- Find text in word definition
- Many dictionaries available, including freedict, *quick, xdict,
  dict.org dictionaries

%prep
%setup -q
%patch0 -p1 -b .langcode
%patch1 -p0 -b .desktop
%patch2 -p0 -b .str
%patch4 -p1 -b .gcc43
%patch5 -p1 -b .gucharmap
%patch6 -p1 -b .bz441209
%patch7 -p0 -b .gcc44

%build
# fwang: stardict cannot find EST include files
export CPPFLAGS="%{optflags} -I/usr/include/EST"
autoreconf -fi
%configure2_5x --disable-schemas-install \
  --disable-espeak --disable-festival \
%if %build_without_gnome
  --disable-gnome-support
%else

%endif
%make

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

# copy config file of locale specific default dictionaries
install -d $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

# icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps

install -m 0644 pixmaps/stardict.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -geometry 32x32 pixmaps/stardict.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -geometry 16x16 pixmaps/stardict.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

# menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="Office" \
  --add-category="Dictionary" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# own various directories
mkdir -p %{buildroot}%{_datadir}/stardict/dic	\
	 %{buildroot}%{_datadir}/stardict/treedict

%find_lang %{name} --with-gnome

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%update_menus
%update_scrollkeeper
%post_install_gconf_schemas stardict
%endif

%preun
%preun_install_gconf_schemas stardict

%if %mdkversion < 200900
%postun
%clean_menus
%clean_scrollkeeper
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/*.schemas
%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/defaultdict.cfg
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/idl/*.idl
%{_datadir}/omf/*
%{_datadir}/pixmaps/*
%{_datadir}/%{name}
%{_libdir}/bonobo/servers/*.server
%{_mandir}/man?/*
%{_libdir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png



%changelog
* Tue May 26 2009 Christophe Fergeau <cfergeau@mandriva.org> 3.0.1-5mdv2010.0
+ Revision: 379997
- fix build with gcc 4.4

* Sat Apr 11 2009 Funda Wang <fundawang@mandriva.org> 3.0.1-5mdv2009.1
+ Revision: 366328
- fix str fmt

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Fri Aug 01 2008 Funda Wang <fundawang@mandriva.org> 3.0.1-5mdv2009.0
+ Revision: 259326
- sync with fedora patches

  + Götz Waschk <waschk@mandriva.org>
    - disable unused configure options
    - fix buildrequires

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri May 23 2008 Adam Williamson <awilliamson@mandriva.org> 3.0.1-4mdv2009.0
+ Revision: 210636
- fd.o icons
- new license policy
- add two gcc43 build patches from upstream SVN (rev 250 and 256)
- disable advertisement and update info plugins (useless and annoying)

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.0.1-3mdv2008.1
+ Revision: 171127
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Nov 09 2007 Funda Wang <fundawang@mandriva.org> 2mdv2008.1-current
+ Revision: 107077
- New version 3.0.1

* Tue Sep 25 2007 Funda Wang <fundawang@mandriva.org> 3.0.0-2mdv2008.0
+ Revision: 92737
- fix desktop icon ext

* Mon Aug 13 2007 Funda Wang <fundawang@mandriva.org> 3.0.0-1mdv2008.0
+ Revision: 62573
- disable festival for now
- Add flag for speech_tools dir
- BR speech_tools
- More buildrequires
- New version 3.0.0

* Thu Apr 19 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.4.8-2mdv2008.0
+ Revision: 14889
- Kill old debian menu


* Thu Nov 02 2006 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2006-11-02 20:56:56 (75962)
- add BuildRequires: desktop-file-utils

* Thu Nov 02 2006 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2006-11-02 20:54:34 (75961)
Import stardict

* Mon Aug 21 2006 Funda Wang <fundawang@gmail.com> 2.4.8-1mdv2007.0
- New release 2.4.8
- Switch to xdg menu
- Conditional building
- fix xdg migration (tv)

* Sat Aug 19 2006 Emmanuel Andry <eandry@mandriva.org> 2.4.7-3mdv2007.0
- rebuild for libdbus

* Mon May 15 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.4.7-2mdk
- add BuildRequires: libpcre-devel

* Sat May 13 2006 Eskild Hustvedt <eskild@mandriva.org> 2.4.7-1mdk
- New version 2.4.7

* Fri Jan 27 2006 Eskild Hustvedt <eskild@mandriva.org> 2.4.6-1mdk
- New version 2.4.6

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.4.5-4mdk
- rebuilt against openssl-0.9.8a

* Tue Oct 04 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.4.5-3mdk
- Fix BuildRequires

* Sun Oct 02 2005 Abel Cheung <deaddog@mandriva.org> 2.4.5-2mdk
- rpmlint fixes

* Sun Oct 02 2005 Abel Cheung <deaddog@mandriva.org> 2.4.5-1mdk
- New release 2.4.5

* Mon Feb 07 2005 Abel Cheung <deaddog@mandrake.org> 2.4.4-1mdk
- New version

* Sat Jun 05 2004 Abel Cheung <deaddog@mandrakesoft.com> 2.4.3-3mdk
- Rebuild with new gcc

* Mon May 24 2004 Abel Cheung <deaddog@deaddog.org> 2.4.3-2mdk
- Fix (build)requires and regeneration of auto* files

* Thu Apr 29 2004 Abel Cheung <deaddog@deaddog.org> 2.4.3-1mdk
- New version
- Patch1: Remove *_DISABLE_DEPRECATED compile flag, stardict still
  using obsolete features in gtk+ 2.2

* Wed Feb 18 2004 David Baudens <baudens@mandrakesoft.com> 2.4.2-5mdk
- Fix again menu: move in Office/Accessories, where it should be and where it
  should stay

* Sun Feb 15 2004 Abel Cheung <deaddog@deaddog.org> 2.4.2-4mdk
- Revert wrong menu

* Fri Feb 13 2004 David Baudens <baudens@mandrakesoft.com> 2.4.2-3mdk
- Fix menu

* Sun Nov 30 2003 Abel Cheung <deaddog@deaddog.org> 2.4.2-2mdk
- Fix zh_CN help document language code (should be zh-cn)

* Mon Nov 17 2003 Abel Cheung <deaddog@deaddog.org> 2.4.2-1mdk
- 2.4.2
- dictionary changed format, use Requires/Conflicts to reflect this

